Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph
Interface Graph.ImportInto<Next>

Type Parameters:
  `Next` - The interface that is to be returned when this request is completed

Enclosing class:
  Graph

    public static interface Graph.ImportInto<Next>

A component that defines the location into which a node should be copied or moved.

Method Summary
`Next` | `into(Iterable<Property> idProperties)` Finish the import by specifying the Location.create into which the node should be copied/moved.
`Next` | `into(Location to)` Finish the import by specifying the Location.create into which the node should be copied/moved.
`Next` | `into(Path to)` Finish the import by specifying the Location.create into which the node should be copied/moved.
`Next` | `into(Property idProperty)` Finish the import by specifying the Location.create into which the node should be copied/moved.
`Next` | `into(Property firstIdProperty, Property... additionalIdProperties)` Finish the import by specifying the Location.create into which the node should be copied/moved.
`Next` | `into(String toPath)` Finish the import by specifying the Location.create into which the node should be copied/moved.
`Next` | `into(UUID to)` Finish the import by specifying the Location.create into which the node should be copied/moved.
`Graph.ImportInto<Next>` | `skippingRootElement(boolean skip)` Specify whether the root element in the XML document should be skipped (that is, not be represented by a node).
`Graph.ImportInto<Next>` | `usingAttributeForName(Name nameAttribute)` Specify the name of the XML attribute that should be used as the node name.
`Graph.ImportInto<Next>` | `usingAttributeForName(String nameAttribute)` Specify the name of the XML attribute that should be used as the node name.
`Graph.ImportInto<Next>` | `usingAttributeForType(Name typeAttribute)` Specify the name of the XML attribute that should be used as the node's type.
`Graph.ImportInto<Next>` | `usingAttributeForType(String typeAttribute)` Specify the name of the XML attribute that should be used as the node's type.

Method Detail

### usingAttributeForName

    Graph.ImportInto<Next> usingAttributeForName(String nameAttribute)

  Specify the name of the XML attribute that should be used as the node name. If this is not specified (or the attribute name is null) the importer will look for the "jcr:name" attribute.

  Parameters:
    `nameAttribute` - the name of the XML attribute containing the name for each node
  Returns:
    the interface used to specify the location where the content should be placed

### usingAttributeForName

    Graph.ImportInto<Next> usingAttributeForName(Name nameAttribute)

  Specify the name of the XML attribute that should be used as the node name. If this is not specified (or the attribute name is null) the importer will look for the "jcr:name" attribute.

  Parameters:
    `nameAttribute` - the name of the XML attribute containing the name for each node
  Returns:
    the interface used to specify the location where the content should be placed

### usingAttributeForType

    Graph.ImportInto<Next> usingAttributeForType(String typeAttribute)

  Specify the name of the XML attribute that should be used as the node's type. If this is not specified (or the attribute name is null) the importer will look for the "jcr:primaryType" attribute.

  Parameters:
    `typeAttribute` - the name of the XML attribute containing the type for each node
  Returns:
    the interface used to specify the location where the content should be placed

### usingAttributeForType

    Graph.ImportInto<Next> usingAttributeForType(Name typeAttribute)

  Specify the name of the XML attribute that should be used as the node's type. If this is not specified (or the attribute name is null) the importer will look for the "jcr:primaryType" attribute.

  Parameters:
    `typeAttribute` - the name of the XML attribute containing the type for each node
  Returns:
    the interface used to specify the location where the content should be placed

### skippingRootElement

    Graph.ImportInto<Next> skippingRootElement(boolean skip)

  Specify whether the root element in the XML document should be skipped (that is, not be represented by a node). By default, the root element is not skipped.

  Parameters:
    `skip` - true if the root element should be skipped, or false if a node should be created for the root XML element
  Returns:
    the interface used to specify the location where the content should be placed

### into

    Next into(Location to)
              throws IOException,
                     SAXException

  Finish the import by specifying the Location.create into which the node should be copied/moved.

  Parameters:
    `to` - the location of the new parent
  Returns:
    the interface for additional requests or actions
  Throws:
    `IOException` - if there is a problem reading the content being imported
    `SAXException` - if there is a problem with the SAX Parser

### into

    Next into(String toPath)
              throws IOException,
                     SAXException

  Finish the import by specifying the Location.create into which the node should be copied/moved.

  Parameters:
    `toPath` - the path of the new parent
  Returns:
    the interface for additional requests or actions
  Throws:
    `IOException` - if there is a problem reading the content being imported
    `SAXException` - if there is a problem with the SAX Parser

### into

    Next into(Path to)
              throws IOException,
                     SAXException

  Finish the import by specifying the Location.create into which the node should be copied/moved.

  Parameters:
    `to` - the path of the new parent
  Returns:
    the interface for additional requests or actions
  Throws:
    `IOException` - if there is a problem reading the content being imported
    `SAXException` - if there is a problem with the SAX Parser

### into

    Next into(UUID to)
              throws IOException,
                     SAXException

  Finish the import by specifying the Location.create into which the node should be copied/moved.

  Parameters:
    `to` - the UUID of the new parent
  Returns:
    the interface for additional requests or actions
  Throws:
    `IOException` - if there is a problem reading the content being imported
    `SAXException` - if there is a problem with the SAX Parser

### into

    Next into(Property idProperty)
              throws IOException,
                     SAXException

  Finish the import by specifying the Location.create into which the node should be copied/moved.

  Parameters:
    `idProperty` - the property that uniquely identifies the new parent
  Returns:
    the interface for additional requests or actions
  Throws:
    `IOException` - if there is a problem reading the content being imported
    `SAXException` - if there is a problem with the SAX Parser

### into

    Next into(Property firstIdProperty,
              Property... additionalIdProperties)
              throws IOException,
                     SAXException

  Finish the import by specifying the Location.create into which the node should be copied/moved.

  Parameters:
    `firstIdProperty` - the first property that, with the `additionalIdProperties`, uniquely identifies the new parent
    `additionalIdProperties` - the additional properties that, with the `additionalIdProperties`, uniquely identifies the new parent
  Returns:
    the interface for additional requests or actions
  Throws:
    `IOException` - if there is a problem reading the content being imported
    `SAXException` - if there is a problem with the SAX Parser

### into

    Next into(Iterable<Property> idProperties)
              throws IOException,
                     SAXException

  Finish the import by specifying the Location.create into which the node should be copied/moved.

  Parameters:
    `idProperties` - the properties that uniquely identifies the new parent
  Returns:
    the interface for additional requests or actions
  Throws:
    `IOException` - if there is a problem reading the content being imported
    `SAXException` - if there is a problem with the SAX Parser

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.